Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.query
Class ParameterExpression

    java.lang.Object
      org.apache.openjpa.persistence.query.AbstractVisitable
          org.apache.openjpa.persistence.query.ExpressionImpl
              org.apache.openjpa.persistence.query.ParameterExpression

All Implemented Interfaces:
  Serializable, Expression, OrderByItem, PredicateOperand, SelectItem, Visitable

    public class ParameterExpression

extends ExpressionImpl

Denotes a parameter in a query.

Author:
  Pinaki Poddar
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.openjpa.persistence.query.AbstractVisitable
`CLOSE_BRACE, COMMA, EMPTY, OPEN_BRACE, SPACE`

Constructor Summary
`ParameterExpression(String name)`

Method Summary
`String` | `asExpression(AliasContext ctx)` Get a JPQL fragment as used in WHERE clause.
`String` | `asProjection(AliasContext ctx)` Gets the string representation in SELECT projection.

Methods inherited from class org.apache.openjpa.persistence.query.ExpressionImpl
`abs, asc, between, between, between, between, between, between, between, between, between, between, between, between, between, concat, concat, desc, dividedBy, dividedBy, equal, equal, equal, equal, equal, equal, equal, equal, getAliasHint, greaterEqual, greaterEqual, greaterEqual, greaterEqual, greaterEqual, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, in, in, in, in, in, in, isNull, length, lessEqual, lessEqual, lessEqual, lessEqual, lessEqual, lessThan, lessThan, lessThan, lessThan, lessThan, like, like, like, like, like, like, locate, locate, locate, locate, locate, locate, lower, member, minus, minus, minus, mod, mod, notEqual, notEqual, notEqual, notEqual, notEqual, notEqual, notEqual, notEqual, plus, plus, sqrt, substring, substring, substring, substring, substring, substring, times, times, trim, trim, trim, trim, trim, trim, upper`

Methods inherited from class org.apache.openjpa.persistence.query.AbstractVisitable
`asJoinable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.persistence.query.Visitable
`asJoinable`

Constructor Detail

### ParameterExpression

    public ParameterExpression(String name)

Method Detail

### asExpression

    public String asExpression(AliasContext ctx)

  Description copied from interface: `Visitable`
  Get a JPQL fragment as used in WHERE clause.

  Specified by:
    `asExpression` in interface `Visitable`
  Overrides:
    `asExpression` in class `AbstractVisitable`

### asProjection

    public String asProjection(AliasContext ctx)

  Description copied from interface: `Visitable`
  Gets the string representation in SELECT projection.

  Specified by:
    `asProjection` in interface `Visitable`
  Overrides:
    `asProjection` in class `AbstractVisitable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.